Bug 446262 - Federation routes involving nonexistent exchanges
Federation routes involving nonexistent exchanges
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
medium Severity high
: 3.0
: ---
Assigned To: Ted Ross
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 15:53 EDT by Ted Ross
Modified: 2013-07-10 09:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 12:33:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Ross 2008-05-13 15:53:51 EDT
If a federation route is created that attempts to bind to a nonexistent
exchange, there is no error indication.  Furthermore, when this route is later
deleted, the two brokers attached by the link infinitely send session.detached
messages to each other.
Comment 1 Ted Ross 2008-05-13 18:40:16 EDT
The infinite detached loop has been fixed.  The lack of error indication is
still a problem.
Comment 2 Ted Ross 2008-05-21 13:46:04 EDT
Simple solution (good enough for GA?):

Routes that reference exchanges that do not exist will not function (as you
might expect).  In fact, the session created for them shall be detached upon
bind failure.  Other routes on the same link will function normally.

If the referenced exchange is subsequently created, the route will become
operational only after the link is bounced (i.e. disconnected and re-established).

There is no user-observable indication that the route is not working.
Comment 3 Justin Ross 2013-02-22 20:58:19 EST
Ted, what's the status of this one?
Comment 4 Ted Ross 2013-03-05 10:38:03 EST
(In reply to comment #3)
> Ted, what's the status of this one?

The behavior is still as described in Commend 2.

Note You need to log in before you can comment on or make changes to this bug.